<?php
namespace App\Controllers;

use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

use App\Models\Usuario;

class LoginController
{
  public function SignUp(Request $request, Response $response, $args)
  {
      $par = $request->getParsedBody();

      $usr = $request->getParam('usuario');
      $pwd = $request->getParam('password');

      $r = ["code" => 0, "message" => "El usuario no es valido", "data" => null];

      $usuario = Usuario::where('usuario', $usr)->first();

      if($usuario)
      {
          if($usuario->password === $pwd)
          {
            if($usuario->fk_rol == 2)
                $usuario->loadMissing(['rol', 'documentos']);
            if($usuario->fk_rol == 3)
                $usuario->loadMissing(['rol', 'medico' ,'documentos']);
				//$usuario->loadMissing(['medico.redimirmedico', 'medico.casosclinicos', 'medico.productos']);
            if($usuario->fk_rol == 5)
                $usuario->loadMissing(['rol','enfermera', 'documentos']);
				//$usuario->loadMissing(['enfermera.redimirenfermera', 'enfermera.casosclinicos', 'enfermera.productos']);
            if($usuario->fk_rol == 6)
                $usuario->loadMissing(['rol','supervisor']);

            $r["code"] = 1;
            $r["message"] = "Bienvenido";
          }
          else
          {
            $r["message"] = "Password no valido";
          }
          $r["data"] = $usuario;
      }

      return $response->getBody()->write(json_encode($r));
  }
  public function Recover(Request $request, Response $response, $args)
  {
      $par = $request->getParsedBody();

      $usr = $request->getParam('usuario');
      $r = ["code" => 0, "message" => "El usuario no es valido", "data" => null];

      $usuario = Usuario::where('usuario', $usr)->first();

       if($usuario)
       {
         $this->email_password($usuario);
         $r["code"] = 1;
         $r["message"] = "Tu contraseña se envio al tu correo";
       }

       return $response->getBody()->write(json_encode($r));
  }
  private function email_password($usuario)
  {
      $apellidoPaterno = empty($usuario->primerApellido) ? '' : $usuario->primerApellido;
      $apellidoMaterno = empty($usuario->segundoApellido) ? '' : $usuario->segundoApellido;
      $nombre = $usuario->nombre . ' ' . $apellidoPaterno . ' ' . $apellidoMaterno;

      $movil = empty( $usuario->telefonoMovil ) ? '' : " <p>Telefono Movil " . " " . $usuario->telefonoMovil . "</p>" ;

      $para_usuario = $usuario->usuario;

      $mensaje_usuario = "
                          <html>
                                <head>
                                  <title> Recuperacion de Contraseña </title>
                                </head>
                                <body>
                                  <div class='contenedor'>
                                  <div><img src='http://casosclinicos.online/imgmail/bienvenido.png'/></div>
                                  <p> Hola, <span>  $nombre </span> </p>
                                  <p>Usuario y contraseña de acceso a CASOSCLINICOS.ONLINE</p>
                                  <p>Esta es la información de tu cuenta: </p>
                                  <p>Usuario: $usuario->usuario   </p>
                                  <p>Contraseña:  $usuario->password  </p>
                                  <p>Comienza dando clic aquí; <a href='https://www.casosclinicos.online'>www.casosclinicos.online</a> </p>
                                  </div>
                                </body>
                          </html>";
                          // mensaje

                          // Para enviar un correo HTML, debe establecerse la cabecera Content-type
      $cabeceras  = 'From: alertas@casosclinicos.online' . "\r\n" .
                    'Reply-To: alertas@casosclinicos.online' . "\r\n" .
                    'X-Mailer: PHP/' . " \r\n";
      $cabeceras .= 'MIME-Version: 1.0' . "\r\n";
      $cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";

      // Enviarlo
      mail($para_usuario, 'Recuperacion de Contraseña', $mensaje_usuario, $cabeceras);
  }
}
