<?php
namespace App\Controllers;

use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

use App\Models\PuntosPorProducto;
	  
class PuntosPorProductosController
{
	public function ReadAll(Request $request, Response $response, $args)
	{
		$puntosPorProducto = PuntosPorProducto::all();

      	return $response->getBody()->write(json_encode($puntosPorProducto));
	}
	public function Create(Request $request, Response $response, $args)
	{
		$puntosPorProducto = $request->getParsedBody();

		$puntosPorProducto_nuevo = PuntosPorProducto::create($puntosPorProducto);

    	return $response->getBody()->write(json_encode($puntosPorProducto_nuevo));
	}
	public function Read(Request $request, Response $response, $args)
	{
		$id = $request->getAttribute('id');

		$puntosPorProducto = PuntosPorProducto::find($id);

		return $response->getBody()->write(json_encode($puntosPorProducto));
	}
	public function Update(Request $request, Response $response, $args)
	{
		$id = $request->getAttribute('id');
    	$puntosporProducto = $request->getParsedBody();

    	$puntosporProducto_actualizado = PuntosPorProducto::find($id)->update($puntosporProducto);
   
    	return $response->getBody()->write(json_encode($puntosporProducto_actualizado));
	}
	public function Delete(Request $request, Response $response, $args)
  	{
	    $id = $request->getAttribute('id');
	    
	    $puntosporProducto = PuntosPorProducto::find($id);
	    $puntosporProducto->Delete();
	    
	    return $response->getBody()->write(json_encode($puntosporProducto));
  	}


}