<?php
namespace App\Controllers;

use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

use App\Models\PuntosPorSeguimiento;
	  
class PuntosPorSeguimientosController
{
	public function ReadAll(Request $request, Response $response, $args)
	{
		$puntosporseguimientos = PuntosPorSeguimiento::all();

		return $reponse->getBody()->write(json_encode($puntosporseguimientos));
	}
	public function Create(Request $request, Response $response, $args)
	{
		$puntosporseguimientoNuevo = $request->getParsedBody();

		$puntosporseguimiento = PuntosPorSeguimiento::create($puntosporseguimientoNuevo);
		
		return $response->getBody()->write(json_encode($puntosporseguimiento));		
	}
	public function Read(Request $request, Response $response, $args)
	{
		$id = $request->getAttribute('id');

		$puntosporseguimiento = PuntosPorSeguimiento::find($id);

		return $reponse->getBody()->write(json_encode($puntosporseguimiento));
	}
	public function Update(Request $request, Response $response, $args)
	{
		$id = $request->getAttribute('id');
		$puntosporseguimientoUpdate = $request->getParsedBody(); 

		$puntosporseguimiento = PuntosPorSeguimiento::find($id);
		$puntosporseguimiento->update($puntosporseguimientoUpdate);

		return $reponse->getBody()->write(json_encode($puntosporseguimiento));
	}
	public function Delete(Request $request, Response $response, $args)
	{
		$id = $request->getAttribute('id');

		$puntosporseguimiento = PuntosPorSeguimiento::find($id);
		$puntosporseguimiento->delete();

		return $reponse->getBody()->write(json_encode($puntosporseguimiento));
	}

}