<?php
namespace App\FilesCsv;

use App\Exceptions\CsvException;

class CsvHandler{

	public function Read(string $pathfile){

		if(!file_exists($pathfile)){
			throw new CsvException('CSV no pudo ser leido, revise el nombre del archivo', 2, array("", 1, "El archivo no existe"));
		}

		$buff_datos = array_map('str_getcsv', file($pathfile));

		if(empty($buff_datos)) {
			throw new CsvException('CSV sin informacion"', 2, array("", 1, "El archivo no vacio"));
		}

		return $buff_datos;
	}

	public function Extension(string $extension) {

		if( $extension != 'csv'){
			throw new CsvException("formato del archivo incorrecto, debe ser (.csv)", 2, array("", 2, "La extension no es correcta") );
		}
		return true;
	}

	public function getErrorLoad($error){

		if(!($error === UPLOAD_ERR_OK)){
			throw new CsvException("Problema al cargar el archivo", 2, array("", 3, "no se pudo leer") );
		}
		return true;
	}
}
