<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Puesto extends Model
{
  protected $guarded = ['id'];
  protected $table = 'c_Puestos';
  protected $primaryKey = 'id';

  public $timestamps = false;

  public function medicos()
  {
      return $this->hasMany(Medico::class, 'fk_puesto');
  }

}
