<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RedimirEnfermera extends Model
{
  protected $guarded = ['id'];
  protected $table = 'RedimirEnfermeras';
  protected $primaryKey = 'id';

  public $timestamps = true;

  public function enfermera()
  {
    return $this->belongsTo(Enfermera::class, 'fk_enfermera');
  }
  
  public function referencias()
  {
	return $this->hasMany(RedimirEnfermeraReferencia::class, 'fk_redimir');  
  }
}
