<?php
namespace App\Controllers;

use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

use App\Models\Puesto;

class PuestosController
{
	public function ReadAll(Request $request, Response $response)
	{
		$puestos = Puesto::all();

		return $response->getBody()->write(json_encode($puestos));
	}
	public function Create(Request $request, Response $response)
	{
		$puestoNuevo = $request->getParsedBody();

		$puesto = Puesto::create($puestoNuevo);

		return $response->getBody()->write(json_encode($puesto));
	}
	public function Read(Request $request, Response $response)
	{
		$id = $request->getAttribute('id');

		$puesto = Puesto::find($id);

		return $response->getBody()->write(json_encode($puesto));
	}
	public function Update(Request $request, Response $response){
		$id = $request->getAttribute('id');
		$puestoUpdate = $request->getParsedBody();

		$puesto = Puesto::find($id);
		$puesto->update($puestoUpdate);

		return $reponse->getBody()->write(json_encode($puesto));
	}
	public function Delete(Request $request, Response $response)
	{
		$id = $request->getAttribute('id');

		$puesto = Puesto::find($id);
		$puesto->delete();

		return $response->getBody()->write(json_encode($puesto));
	}
}