<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CasoProducto extends Model
{ 
	 
  protected $table = 'CasosProductos';
  protected $primaryKey = 'id_producto';

  public $timestamps = false;

  public function casoclinico(){
    return $this->hasOne(CasoClinico::class, 'id', 'id_casoClinico');
  }

  public function producto(){
    return $this->belongsTo(Producto::class, 'id_producto', 'id');
  }

  public function medico(){
    return $this->belongsTo(Medico::class, 'id_medico', 'id');
  }
  
  public function enfermera(){
    return $this->belongsTo(Enfermera::class, 'id_enfermera', 'id');
  }
}