<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Hospital extends Model
{
  protected $guarded = ['id'];
  protected $table = 'c_Hospitales';
  protected $primaryKey = 'id';

  public $timestamps = false;

  public function casosclinicos(){
    return $this->hasMany(CasoClinico::class, 'fk_hospital');
  }
  public function institucion(){
   return $this->belongsTo(Institucion::class, 'fk_institucion');  
  }
  public function estado(){
    return $this->belongsTo(Estado::class, 'fk_estado');  
  }
}
