<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Producto extends Model
{
  protected $guarded = ['id'];
  protected $table = 'Productos';
  protected $primaryKey = 'id';

  public $timestamps = true;

  public function institucion()
  {
    return $this->belongsTo(Institucion::class,'fk_institucion');
  }
  public function casoclinico()
  {
    return $this->belongsTo(CasoClinico::class, 'fk_casoClinico');
  }
  public function enfermera()
  {
    return $this->belongsTo(Enfermera::class, 'fk_enfermera');
  }
  public function medico()
  {
   return $this->belongsTo(Medico::class, 'fk_medico');
  }
  public function venta()
  {
    return $this->belongsTo(Venta::class,'fk_venta');
  }

}
