<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProductoMovimiento extends Model
{
  protected $guarded = ['id'];
  protected $table = 'ProductosMovimientos';
  protected $primaryKey = 'id';

  public $timestamps = false; 

  public function producto()
  {
    return $this->belongsTo(Producto::class, 'fk_producto');
  } 
}