<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RedimirMedico extends Model
{
  protected $guarded = ['id'];
  protected $table = 'RedimirMedicos';
  protected $primaryKey = 'id';

  public $timestamps = true;

  public function medico()
  {
    return $this->belongsTo(Medico::class, 'fk_medico');
  }
  
  public function referencias()
  {
	return $this->hasMany(RedimirMedicoReferencia::class, 'fk_redimir');  
  }
}
