<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Residencia extends Model
{
  protected $guarded = ['id'];
  protected $table = 'c_Residencias';
  protected $primaryKey = 'id';

  public $timestamps = false;

  public function medicos()
  {
      return $this->hasMany(Medico::class, 'fk_residencia');
  }
}
