<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Supervisor extends Model
{
  protected $guarded = ['id'];
  protected $table = 'Supervisores';
  protected $primaryKey = 'id';

  public $timestamps = true;

  public function enfermeras()
  {
    return $this->hasMany(Enfermera::class, 'fk_supervisor');
  }
  public function usuario()
  {
    return $this->belongsTo(Usuario::class, 'fk_usuario');
  }


}
