<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Venta extends Model
{
	protected $guarded = ['id'];
	protected $table = 'Ventas';
	protected $primaryKey = 'id';

	public $timestamps = true;

	public function productos()
	{
		return $this->hasMany(Producto::class, 'fk_venta');
	}
	public function batch()
  {
    return $this->belongsTo(Batch::class, 'fk_batch');
  }
	public function institucion()
  {
    return $this->belongsTo(Institucion::class, 'fk_institucion');
  }
}
