<?php

/**
 *
 *return CasoClinico::find(1)->paciente
 *return CasoClinico::all();
 *return Medico::find(2);
 *return Medico::find(2)->nombre;
 *return '' . Medico::all()->count();
 *
 **/

$app->post('/api/signup', 'App\Controllers\LoginController:SignUp');
$app->post('/api/recover', 'App\Controllers\LoginController:Recover');

/* USUARIO https://www.youtube.com/watch?v=GSLEz-XxGY8 */

$app->get('/api/usuarios', 'App\Controllers\UsuariosController:ReadAll');

$app->post('/api/usuario', 'App\Controllers\UsuariosController:Create');
$app->get('/api/usuario/{id}', 'App\Controllers\UsuariosController:Read');
$app->put('/api/usuario/{id}', 'App\Controllers\UsuariosController:Update');
$app->delete('/api/usuario/{id}', 'App\Controllers\UsuariosController:Delete');

$app->get('/api/usuario/desactivar/{id}', 'App\Controllers\UsuariosController:Desactivar');
$app->get('/api/usuario/activar/{id}', 'App\Controllers\UsuariosController:Activar');

$app->put('/api/usuario/passw/{id}', 'App\Controllers\UsuariosController:UpdatePassword');

$app->post('/api/usuario/medico', 'App\Controllers\UsuariosController:UsuarioMedicoCreate');
$app->put('/api/usuario/medico/{id}', 'App\Controllers\UsuariosController:UsuarioMedicoUpdate');

$app->post('/api/usuario/enfermera', 'App\Controllers\UsuariosController:UsuarioEnfermeraCreate');
$app->put('/api/usuario/enfermera/{id}', 'App\Controllers\UsuariosController:UsuarioEnfermeraUpdate');

$app->post('/api/usuario/supervisor', 'App\Controllers\UsuariosController:UsuarioSupervisorCreate');
$app->put('/api/usuario/supervisor/{id}', 'App\Controllers\UsuariosController:UsuarioSupervisorUpdate');

$app->get('/api/usuario/documentos/{id}', 'App\Controllers\UsuariosController:Documentos');
$app->post('/api/usuario-upfile', 'App\Controllers\UsuariosController:UpFile');

$app->delete('/api/usuario/documento/{id}', 'App\Controllers\UsuariosController:DeleteFile');

$app->delete('/api/usuario/operativo/{id}', 'App\Controllers\UsuariosController:UsuarioOperativoDelete');

/* =========================
 *
 *  PRODUCTOS
 *
 * ========================== */


$app->get('/api/productos', 'App\Controllers\ProductosController:ReadAll');

$app->post('/api/producto', 'App\Controllers\ProductosController:Create');
$app->get('/api/producto/{id}', 'App\Controllers\ProductosController:Read');
$app->put('/api/producto/{id}', 'App\Controllers\ProductosController:Update');
$app->delete('/api/producto/{id}', 'App\Controllers\ProductosController:Delete');
$app->delete('/api/producto/eliminar/{id}', 'App\Controllers\ProductosController:Eliminar');

$app->delete('/api/producto/cancelar/{id}/{idm}', 'App\Controllers\ProductosController:Cancelar');
$app->delete('/api/producto/cancelar/cambio/{id1}/{id2}', 'App\Controllers\ProductosController:CancelarCambio');

$app->get('/api/productos/fecha', 'App\Controllers\ProductosController:Fecha');

$app->get('/api/codigo/{des}', 'App\Controllers\ProductosController:Codigo'); // where codigo
$app->post('/api/productos/uplote', 'App\Controllers\ProductosController:UpLote');

$app->put('/api/producto/caso/medico/{id}', 'App\Controllers\ProductosController:UpdatePuntosMedico');
$app->put('/api/producto/caso/enfermera/{id}', 'App\Controllers\ProductosController:UpdatePuntosEnfermera');

/*$app->post('/api/productos/caso', 'App\Controllers\CasosProductosController:InsertCasoProductos'); */
$app->post('/api/productos/caso', 'App\Controllers\ProductosController:ProductosAsignados');

$app->get('/api/productos/asignados', 'App\Controllers\CasosProductosController:ReadAll');
/*  BATCH */
$app->post('/api/batch', 'App\Controllers\BatchsController:Create');
$app->get('/api/batch/{id}', 'App\Controllers\BatchsController:Read');
$app->put('/api/batch/{id}', 'App\Controllers\BatchsController:Update');
$app->delete('/api/batch/{id}', 'App\Controllers\BatchsController:Delete');

$app->get('/api/batchs', 'App\Controllers\BatchsController:ReadAll');

$app->get('/api/batch/in/productos', 'App\Controllers\BatchsController:BatchInProductos');
$app->get('/api/batch/notin/productos', 'App\Controllers\BatchsController:BatchNotInProductos');

$app->get('/api/batch/to/batch/{idO}/{idN}', 'App\Controllers\BatchsController:BatchToBatch');

/*VENTA Facturas*/

$app->post('/api/venta', 'App\Controllers\VentasController:Create');
$app->get('/api/venta/{id}', 'App\Controllers\VentasController:Read');
$app->put('/api/venta/{id}', 'App\Controllers\VentasController:Update');
$app->delete('/api/venta/{id}', 'App\Controllers\VentasController:Delete');
$app->delete('/api/venta/cancelar/{id}', 'App\Controllers\VentasController:Cancelar');
$app->get('/api/venta/cambio/{id}', 'App\Controllers\VentasController:Cambio');

$app->get('/api/ventas', 'App\Controllers\VentasController:ReadAll');

/* ==========================
 *
 *  MEDICOS
 *
 * ==========================*/

$app->get('/api/medicos', 'App\Controllers\MedicosController:ReadAll');

$app->post('/api/medico', 'App\Controllers\MedicosController:Create');
$app->get('/api/medico/{id}', 'App\Controllers\MedicosController:Read');
$app->put('/api/medico/{id}', 'App\Controllers\MedicosController:Update');
$app->delete('/api/medico/{id}', 'App\Controllers\MedicosController:Delete');

$app->get('/api/medico/totales/{id}', 'App\Controllers\MedicosController:Totales');
$app->get('/api/medico/casosclinicos/{id}', 'App\Controllers\MedicosController:RelacionCasosClinicos');
$app->get('/api/medico/productos/{id}', 'App\Controllers\MedicosController:RelacionProductos');
$app->get('/api/medico/puntos/{id}', 'App\Controllers\MedicosController:Puntos');
$app->get('/api/medico/canjes/{id}', 'App\Controllers\MedicosController:Canjes');
$app->get('/api/medico/enfermeras/{id}', 'App\Controllers\MedicosController:RelacionEnfermeras');
$app->get('/api/medico/saldos/{id}', 'App\Controllers\MedicosController:EstadoCuenta');

$app->put('/api/medico/asociar/enfermera/{id}', 'App\Controllers\MedicosController:AsociarEnfermera');
$app->put('/api/medico/desasociar/enfermera/{id}', 'App\Controllers\MedicosController:DesasociarEnfermera');

$app->post('/api/medico/redimir/create', 'App\Controllers\MedicosController:RedimirCreate');
$app->post('/api/medico/redimir/update', 'App\Controllers\MedicosController:RedimirUpdate');
$app->post('/api/medico/redimir/rechazado', 'App\Controllers\MedicosController:RedimirUpdateRechazado');
$app->delete('/api/medico/redimir/eliminar/{idM}/{idC}', 'App\Controllers\MedicosController:RedimirDelete');

$app->post('/api/medico/redimir/update/ref', 'App\Controllers\MedicosController:RedimirUpdateRef');
$app->post('/api/medico/redimir/add/ref', 'App\Controllers\MedicosController:RedimirAddReferencia');
$app->delete('/api/medico/redimir/delete/ref/{id}', 'App\Controllers\MedicosController:DeleteFileReferencia');
/* =====================================
 *
 *  ENFERMERAS
 *
 * ====================================== */
$app->get('/api/enfermeras', 'App\Controllers\EnfermerasController:ReadAll');

$app->post('/api/enfermera', 'App\Controllers\EnfermerasController:Create');
$app->get('/api/enfermera/{id}', 'App\Controllers\EnfermerasController:Read');
$app->put('/api/enfermera/{id}', 'App\Controllers\EnfermerasController:Update');
$app->delete('/api/enfermera/{id}', 'App\Controllers\EnfermerasController:Delete');

$app->get('/api/enfermera/totales/{id}', 'App\Controllers\EnfermerasController:Totales');
$app->get('/api/enfermera/casosclinicos/{id}', 'App\Controllers\EnfermerasController:RelacionCasosClinicos');
$app->get('/api/enfermera/productos/{id}', 'App\Controllers\EnfermerasController:RelacionProductos');
$app->get('/api/enfermera/puntos/{id}', 'App\Controllers\EnfermerasController:Puntos');
$app->get('/api/enfermera/canjes/{id}', 'App\Controllers\EnfermerasController:Canjes');
$app->get('/api/enfermera/saldos/{id}', 'App\Controllers\EnfermerasController:EstadoCuenta');
$app->put('/api/enfermera/asociar/medico/{id}', 'App\Controllers\EnfermerasController:AsociarMedico');
$app->put('/api/enfermera/desasociar/medico/{id}', 'App\Controllers\EnfermerasController:DesasociarMedico');


$app->post('/api/enfermera/redimir/create', 'App\Controllers\EnfermerasController:RedimirCreate');
$app->post('/api/enfermera/redimir/update', 'App\Controllers\EnfermerasController:RedimirUpdate');
$app->post('/api/enfermera/redimir/rechazado', 'App\Controllers\EnfermerasController:RedimirUpdateRechazado');
$app->delete('/api/enfermera/redimir/eliminar/{idE}/{idC}', 'App\Controllers\EnfermerasController:RedimirDelete');

$app->post('/api/enfermera/redimir/update/ref', 'App\Controllers\EnfermerasController:RedimirUpdateRef');
$app->post('/api/enfermera/redimir/add/ref', 'App\Controllers\EnfermerasController:RedimirAddReferencia');
$app->delete('/api/enfermera/redimir/delete/ref/{id}', 'App\Controllers\EnfermerasController:DeleteFileReferencia');
/* =====================================
 *
 *  SUPERVISORES
 *
 * ====================================== */
$app->get('/api/supervisores', 'App\Controllers\SupervisoresController:ReadAll');

$app->post('/api/supervisor', 'App\Controllers\SupervisoresController:Create');
$app->get('/api/supervisor/{id}', 'App\Controllers\SupervisoresController:Read');
$app->put('/api/supervisor/{id}', 'App\Controllers\SupervisoresController:Update');
$app->delete('/api/supervisor/{id}', 'App\Controllers\SupervisoresController:Delete');
$app->get('/api/supervisor/totales/{id}', 'App\Controllers\SupervisoresController:Totales');

$app->put('/api/supervisor/asociar/enfermera/{id}', 'App\Controllers\SupervisoresController:AsociarEnfermera');
$app->put('/api/supervisor/desasociar/enfermera/{id}', 'App\Controllers\SupervisoresController:DesasociarEnfermera');


/* ===========================================
 *
 *  CASOS CLINICOS
 *
 * ============================================ */

$app->get('/api/casosclinicos', 'App\Controllers\CasosClinicosController:ReadAll');

$app->post('/api/casoclinico', 'App\Controllers\CasosClinicosController:Create');
$app->get('/api/casoclinico/{id}', 'App\Controllers\CasosClinicosController:Read');
$app->put('/api/casoclinico/{id}', 'App\Controllers\CasosClinicosController:Update');
$app->delete('/api/casoclinico/{id}', 'App\Controllers\CasosClinicosController:Delete');

$app->get('/api/casoclinico/folio/{id}', 'App\Controllers\CasosClinicosController:Folio');
$app->get('/api/casoclinico/fechas/{id}', 'App\Controllers\CasosClinicosController:Fechas');

$app->post('/api/casoclinico/consulta', 'App\Controllers\CasosClinicosController:Query');

$app->post('/api/casoclinico-upfile', 'App\Controllers\CasosClinicosController:UpFile');
$app->delete('/api/casoclinico/documento/{id}', 'App\Controllers\CasosClinicosController:DeleteFile');

$app->get('/api/ccm/{id}', 'App\Controllers\CasosClinicosController:RelacionMedico');
$app->put('/api/casoclinico/enfermera/productos/{id}', 'App\Controllers\CasosClinicosController:UpCasoClinicoEnfermeraProPuntos');

$app->post('/api/seguimiento', 'App\Controllers\SeguimientosPostOperatorioController:Create');
$app->get('/api/seguimiento/{id}', 'App\Controllers\SeguimientosPostOperatorioController:Read');
$app->put('/api/seguimiento/{id}', 'App\Controllers\SeguimientosPostOperatorioController:Update');
$app->delete('/api/seguimiento/{id}', 'App\Controllers\SeguimientosPostOperatorioController:Delete');


/* ==================================================
 * CATALOGOS
 * ================================================== */

/* **********************
 *
 * INSTITUCIONES
 *
 * ********************** */
$app->get('/api/instituciones', 'App\Controllers\InstitucionesController:ReadAll');

$app->post('/api/institucion', 'App\Controllers\InstitucionesController:Create');
$app->get('/api/institucion/{id}', 'App\Controllers\InstitucionesController:Read');
$app->put('/api/institucion/{id}', 'App\Controllers\InstitucionesController:Update');
$app->delete('/api/institucion/{id}', 'App\Controllers\InstitucionesController:Delete');

$app->get('/api/instituciones/otros', 'App\Controllers\InstitucionesController:Otros');
$app->post('/api/institucion/otro',  'App\Controllers\InstitucionesController:Otro');

 /* *********************
  *
  * HOSPITALES
  *
  * ********************* */
$app->get('/api/hospitales', 'App\Controllers\HospitalesController:ReadAll');

$app->post('/api/hospital', 'App\Controllers\HospitalesController:Create');
$app->get('/api/hospital/{id}', 'App\Controllers\HospitalesController:Read');
$app->put('/api/hospital/{id}', 'App\Controllers\HospitalesController:Update');
$app->delete('/api/hospital/{id}', 'App\Controllers\HospitalesController:Delete');

$app->get('/api/hospitales/relaciones', 'App\Controllers\HospitalesController:ReadAllRelaciones');
$app->get('/api/hospitales/otros', 'App\Controllers\HospitalesController:Otros');
$app->post('/api/hospital/otro', 'App\Controllers\HospitalesController:otro');

$app->get('/api/filtro/{id}', 'App\Controllers\HospitalesController:filtro'); //where edo

/* *************
 *
 *  DIAGNOSTICOS
 *
 * **************/
$app->get('/api/diagnosticos', 'App\Controllers\DiagnosticosController:ReadAll');

$app->post('/api/diagnostico', 'App\Controllers\DiagnosticosController:Create');
$app->get('/api/diagnostico/{id}', 'App\Controllers\DiagnosticosController:Read');
$app->put('/api/diagnostico/{id}', 'App\Controllers\DiagnosticosController:Update');
$app->delete('/api/diagnostico/{id}', 'App\Controllers\DiagnosticosController:Delete');


/* ****************
 *
 *  ESPECIALIDADES
 *
 * **************** */
$app->get('/api/especialidades', 'App\Controllers\EspecialidadesController:ReadAll');

$app->post('/api/especialidad', 'App\Controllers\EspecialidadesController:Create');
$app->get('/api/especialidad/{id}', 'App\Controllers\EspecialidadesController:Read');
$app->put('/api/especialidad/{id}', 'App\Controllers\EspecialidadesController:Update');
$app->delete('/api/espcialidad/{id}', 'App\Controllers\EspecialidadesController:Delete');

/* *****************
*
*  ANTIBIOTICOS
*
*  *******************/
$app->get('/api/antibioticos', 'App\Controllers\AntibioticosController:ReadAll');

$app->post('/api/antibiotico', 'App\Controllers\AntibioticosController:Create');
$app->get('/api/antibiotico/{id}', 'App\Controllers\AntibioticosController:Read');
$app->put('/api/antibiotico/{id}', 'App\Controllers\AntibioticosController:Update');
$app->delete('/api/antibiotico/{id}', 'App\Controllers\AntibioticosController:Delete');

/*******************
 *
 *  PUESTOS
 *
 * ******************/
$app->get('/api/puestos', 'App\Controllers\PuestosController:ReadAll');

$app->post('/api/puesto', 'App\Controllers\PuestosController:Create');
$app->get('/api/puesto/{id}', 'App\Controllers\PuestosController:Read');
$app->put('/api/puesto/{id}', 'App\Controllers\PuestosController:Update');
$app->delete('/api/puesto/{id}', 'App\Controllers\PuestosController:Delete');

/*********************
 *
 *  PUNTOS PRODUCTO
 *
 * ********************/
$app->get('/api/puntosporproductos', 'App\Controllers\PuntosPorProductosController:ReadAll');

$app->post('/api/puntosporproducto', 'App\Controllers\PuntosPorProductosController:Create');
$app->get('/api/puntosporproducto/{id}', 'App\Controllers\PuntosPorProductosController:Read');
$app->put('/api/puntosporproducto/{id}', 'App\Controllers\PuntosPorProductosController:Update');
$app->delete('/api/puntosporproducto/{id}', 'App\Controllers\PuntosPorProductosController:Delete');

/*********************
 *
 *  PUNTOS SEGUIMIENTO
 *
 * ********************/
$app->get('/api/puntosporseguimientos', 'App\Controllers\PuntosPorSeguimientosController:ReadAll');

$app->post('/api/puntosporseguimiento', 'App\Controllers\PuntosPorSeguimientosController:Create');
$app->get('/api/puntosporseguimiento/{id}', 'App\Controllers\PuntosPorSeguimientosController:Read');
$app->put('/api/puntosporseguimiento/{id}', 'App\Controllers\PuntosPorSeguimientosController:Update');
$app->delete('/api/puntosporseguimiento/{id}', 'App\Controllers\PuntosPorSeguimientosController:Delete');


$app->get('/api/estados', 'App\Controllers\EstadosController:ReadAll');
$app->get('/api/residencias', 'App\Controllers\ResidenciasController:ReadAll');
$app->get('/api/tiposdocumentos', 'App\Controllers\TiposDocumentosController:ReadAll');
$app->get('/api/documentosidentificacion', 'App\Controllers\DocumentosIdentificacionController:ReadAll');
